Package: org.gradle.plugins.signing.type

## [Groovy] Class AbstractSignatureType

- org.gradle.plugins.signing.type.AbstractSignatureType

- All Implemented Interfaces and Traits:
    SignatureType

      abstract class AbstractSignatureType
      extends Object

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `combinedExtension(File toSign)`
    `File` | `fileFor(File toSign)`
    `File` | `sign(Signatory signatory, File toSign)`
    `void` | `sign(Signatory signatory, InputStream toSign, OutputStream destination)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### String combinedExtension(File toSign)

    - #### File fileFor(File toSign)

    - #### File sign(Signatory signatory, File toSign)

    - #### void sign(Signatory signatory, InputStream toSign, OutputStream destination)